org.apache.commons.codec.language.bm

## Class Languages.LanguageSet

- java.lang.Object
- - org.apache.commons.codec.language.bm.Languages.LanguageSet

- Direct Known Subclasses:
    Languages.SomeLanguages
  Enclosing class:
    Languages

      public abstract static class Languages.LanguageSet
      extends Object

  A set of languages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Languages.LanguageSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `contains(String language)`
    `static Languages.LanguageSet` | `from(Set<String> langs)`
    `abstract String` | `getAny()`
    `abstract boolean` | `isEmpty()`
    `abstract boolean` | `isSingleton()`
    `abstract Languages.LanguageSet` | `restrictTo(Languages.LanguageSet other)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Languages.LanguageSet

          public Languages.LanguageSet()

  - ### Method Detail

    - #### from

          public static Languages.LanguageSet from(Set<String> langs)

    - #### contains

          public abstract boolean contains(String language)

    - #### getAny

          public abstract String getAny()

    - #### isEmpty

          public abstract boolean isEmpty()

    - #### isSingleton

          public abstract boolean isSingleton()

    - #### restrictTo

          public abstract Languages.LanguageSet restrictTo(Languages.LanguageSet other)

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.